$(document).ready(function () {

    // form 태그 안의 input에서 엔터키 누를 때 form 전송을 막는 코드
    $("#findForm").keypress(function (event) {
        if(event.which == 13) {
            event.preventDefault();
            return false;
        }
    });

    $('#authRequestBtn').click(function () {
        var phone = _.replace($("#phone").val(), /\-/g, '');
        var checkPhone = userService.checkPhone(phone);
        if (checkPhone) {
            userService.ajaxSmsSend(phone,function(){});
        }
    });

    $('#authCheckBtn').click(function () {
        var scb = function (res) {
            $('#joinAuthOk').show();
            $('#joinAuthNo').hide();

            console.log(res.data);
            var msg = res.data.loginId + '님의 임시 비밀번호는 다음과 같습니다.\n'
            msg += res.data.password;

            $('#joinAuthOk').html(msg);

        };
        var ecb = function() {
            $('#joinAuthOk').hide();
            $('#joinAuthNo').show();
        };
        var phone = _.replace($("#phone").val(), /\-/g, '');
        findPasswordService.ajaxSmsFindPw($('#phoneAuthKey').val(), phone, $('#findId').val(), scb, ecb);
    });

    /*
     * 이메일 인증 시 사용되는 코드
     */

    // $('#findPasswordBtn').click(function () {
    //     callFindPasswordApiRequest();
    // });
    //
    //
    // $(".findInput").keyup(function(event) {
    //     if(event.which == 13) {
    //         callFindPasswordApiRequest();
    //     }
    //
    //     if ($("#findId").val()!='' && $("#findEmail").val()!='') {
    //         $("#findPasswordBtn").css('opacity', '0.9');
    //     } else {
    //         $("#findPasswordBtn").css('opacity', '0.5');
    //     }
    // });
    //
    // function callFindPasswordApiRequest() {
    //     findPasswordService.findPasswordApiRequest(
    //         {
    //             scb: function (message){
    //                 alert(message);
    //                 location.href = "/login/loginForm.mng"
    //             },
    //             ecb: function (message) {
    //                 alert(message);
    //                 $('#findId').val("");
    //                 $('#findEmail').val("");
    //             }
    //         },
    //         $('#findId').val(),
    //         $('#findEmail').val()
    //     );
    // }
})